View Issue Details

IDProjectCategoryView StatusLast Update
0011014mantisbtdb oraclepublic2015-03-16 19:19
ReporterwatergadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.2.0rc1 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0011014: Database creation SQL scripts may be more handy
Description

Database creation SQL scripts are not good enough.
The main problem is the trigger creation. I suppose, ending trigger creation with newline and slash is good idea:

CREATE OR REPLACE TRIGGER TRIG_SEQ_m_bugfile BEFORE insert ON m_bugfile FOR EACH ROW WHEN (NEW.id IS NULL OR NEW.id = 0) BEGIN select SEQ_m_bugfile.nextval into :new.id from dual; END;

/

Otherwise the whole following code will go to the trigger body.
Btw I can't see any bad in the "/" ending of all statements.

Next thing is the indexes creation - some of them is repeating. Maybe CREATE OR REPLACE <object> instead of CREATE <object>?

TagsNo tags attached.

Relationships

child of 0013227 closeddregad Oracle DB support multiple issues 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2009-10-07 13:29 watergad New Issue
2012-12-19 19:42 dregad Relationship added related to 0013227
2013-10-17 12:52 dregad Target Version => 1.3.0-beta.1
2013-10-17 12:52 dregad Status new => resolved
2013-10-17 12:52 dregad Fixed in Version => 1.3.0-beta.1
2013-10-17 12:52 dregad Resolution open => fixed
2013-10-17 12:52 dregad Assigned To => dregad
2014-04-12 19:39 grangeway Issue cloned: 0017195
2014-12-08 00:34 vboctor Status resolved => closed
2015-03-16 19:19 dregad Relationship replaced child of 0013227